@import 'settings';
@import 'mixins';
@import 'typography';

.PeopleIndex {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    &__intro {
        width: 620px;
        max-width: 100%;
        text-align: center;
    }

    &__person-list {
        text-align: center;
        max-width: 960px;
        margin: 10px 0;

        .person-link {
            display: inline-block;
            margin: 20px 30px;

            .person-image {
                position: relative;
                display: inline-block;
                width: 130px;
                height: 130px;
                border-radius: 50%;
                border: solid 1px $blue;
                overflow: hidden;

                &.cloned {
                    position: fixed;
                    z-index: $zindex-modal + 10;
                }

                img {
                    width: 100%;
                    height: 100%;
                    object-position: center top;
                    object-fit: cover;

                    @include object-fit(cover);
                }
            }

            .person-name {
                @include small-type;
                color: $body-font-color;
                text-transform: uppercase;
            }

            .person-title {
                @include small-type;
            }
        }

        @media #{$mobile-only} {
            .person-link {
                width: 50%;
                margin: 20px 0;
            }
        }
    }

    @media #{$mobile-only} {
        padding: 80px 15px 30px 15px;

        &__intro {
            @include container;
        }
    }

    @media #{$tablet} {
        padding-top: 90px;
    }
}

.PeopleIndex--animating {
    .PersonDetail {
        opacity: 0;
    }
}
